<?php
// main model containing general config and UI functions
class WBBridge {
   static function install() {
   	global $wpdb;	
   	$wpdb -> show_errors();
   	
   	self::init();
	   
    // relations bewteen completed exams and mailing lists. 
    // For now not depending on exam result but place the field for later use
    if($wpdb->get_var("SHOW TABLES LIKE '".WBBRIDGE_RELATIONS."'") != WBBRIDGE_RELATIONS) {  
        $sql = "CREATE TABLE `".WBBRIDGE_RELATIONS."` (
				id int(11) unsigned NOT NULL auto_increment PRIMARY KEY,
				exam_id int(11) unsigned NOT NULL default '0',
				list_id int(11) unsigned NOT NULL default '0',
				grade_id int(11) unsigned NOT NULL default '0'
			) CHARACTER SET utf8;";
        $wpdb->query($sql);         
    }
	   // exit;
   }
   
   // main menu
   static function menu() {
   	add_submenu_page('watupro_exams', __('Bridge to Arigato PRO', 'wbbridge'), __('Bridge to Arigato PRO', 'wbbridge'), 'manage_options', 
   		'wbbridge', array('WBBridgeBridge','main'));	
	}
	
	// CSS and JS
	static function scripts() {   
   	wp_enqueue_script('jquery');
	}
	
	// initialization
	static function init() {
		global $wpdb;
		load_plugin_textdomain( 'wbbridge', false, WBBRIDGE_RELATIVE_PATH."/languages/" );
		define('WBBRIDGE_RELATIONS', $wpdb->prefix.'wbbridge_relations');
		
		add_action('watupro_completed_exam', array('WBBridgeBridge', 'complete_exam'));
	}	
}