<div class="wrap">
	<h1><?php _e('WatuPRO to Arigato PRO Bridge', 'wbbridge')?></h1>
	
	<p><?php _e('This bridge lets you automatically subscribe users who take your exams into select list in Arigato PRO Autoresponder. You need to have both plugins installed and activated.', 'wbbridge')?></p>
	
	<p><?php _e('Note that in order to have quiz taker subscribed you need their email address. So this will work the user is logged or (for non-logged in users) when you have selected "Send email to the user with their results" in the exam settings page.','wbbridge')?> </p>
	
   
   <h2><?php _e('Add New Rule', 'wbbridge')?></h2>	  
	  
	 <form method="post">
	 	<div class="wrap">
	 			<?php _e('When user completes', 'wbbridge')?> <select name="exam_id" onchange="wbbChangeQuiz(this.value, 'wbbGradeSelector');">
	 			<?php foreach($exams as $exam):?>
	 				<option value="<?php echo $exam->ID?>"><?php echo $exam->name?></option>
	 			<?php endforeach;?>
	 			</select> 
				
				<?php _e('achieving the following grade:', 'wbbridge')?>
				<span id="wbbGradeSelector">
					<select name="grade_id">
					   <option value="0"><?php _e('- Any grade -', 'wbbridge');?></option>
					   <?php foreach($exams[0]->grades as $grade):?>
					   	<option value="<?php echo $grade->ID?>"><?php echo $grade->gtitle;?></option>
					   <?php endforeach;?>
					</select>
				</span>				
				
				 			
	 			<?php _e('subscribe them to mailing list','wbbridge')?> 
	 			<select name="list_id">
	 				<?php foreach($lists as $list):?>
	 					<option value="<?php echo $list->id?>"><?php echo $list->name?></option>
	 				<?php endforeach;?>
	 			</select>
	 			<input type="submit" name="add" value="<?php _e('Add Rule', 'wbbridge')?>">
	 	</div>
	 </form> 
	 
	 <?php if(sizeof($relations)):?>
	 	<h2><?php _e('Manage Existing Rules', 'wbbridge')?></h2>
	 	
	 	<?php foreach($relations as $relation):?>
	 	<form method="post">
	 	<input type="hidden" name="id" value="<?php echo $relation->id?>">
	 	<input type="hidden" name="del" value="0">
	 	<div class="wrap">
	 			<?php _e('When user completes', 'wbbridge')?> <select name="exam_id" onchange="wbbChangeQuiz(this.value, 'wbbGradeSelector<?php echo $relation->id?>');">
	 			<?php foreach($exams as $exam):
	 				$selected = ($exam->ID == $relation->exam_id) ? " selected" : "";?>
	 				<option value="<?php echo $exam->ID?>"<?php echo $selected?>><?php echo $exam->name?></option>
	 			<?php endforeach;?>
	 			</select> 
	 			
				<?php _e('achieving the following grade:', 'wbbridge')?>
				<span id="wbbGradeSelector<?php echo $relation->id?>">
					<select name="grade_id">
					   <option value="0"><?php _e('- Any grade -', 'wbbridge');?></option>
					   <?php foreach($relation->grades as $grade):
					   	$selected = ($grade->ID == $relation->grade_id) ? " selected" : "";?>
					   	<option value="<?php echo $grade->ID?>"<?php echo $selected?>><?php echo $grade->gtitle;?></option>
					   <?php endforeach;?>
					</select>
				</span>			
					 			
	 			<?php _e('subscribe them to mailing list','wbbridge')?> 
	 			<select name="list_id">
	 				<?php foreach($lists as $list):
	 					$selected = ($list->id == $relation->list_id) ? " selected" : "";?>
	 					<option value="<?php echo $list->id?>"<?php echo $selected?>><?php echo $list->name?></option>
	 				<?php endforeach;?>
	 			</select>
	 			<input type="submit" name="save" value="<?php _e('Save Rule', 'wbbridge')?>">
	 			<input type="button" value="<?php _e('Delete Rule', 'wbbridge')?>" onclick="WBBridgeConfirmDelete(this.form);">
	 	</div>
	 </form> 
	 	<?php endforeach;?>
	 <?php endif;?>
</div>

<script type="text/javascript" >
function WBBridgeConfirmDelete(frm) {
		if(confirm("<?php _e('Are you sure?', 'wbbridge')?>")) {
			frm.del.value=1;
			frm.submit();
		}
}

function wbbChangeQuiz(quizID, selectorID) {
	// array containing all grades by exams
	var grades = {<?php foreach($exams as $exam): echo $exam->ID.' : {';
			foreach($exam->grades as $grade):
				echo $grade->ID .' : "'.$grade->gtitle.'",';
			endforeach;
		echo '},';
	endforeach;?>};
	
	// construct the new HTML
	var newHTML = '<select name="grade_id">';
	newHTML += "<option value='0'><?php _e('- Any grade -', 'wbbridge');?></option>";
	jQuery.each(grades, function(i, obj){
		if(i == quizID) {
			jQuery.each(obj, function(j, grade) {
				newHTML += "<option value=" + j + ">" + grade + "</option>\n";
			}); // end each grade
		}
	});
	newHTML += '</select>'; 
	
	jQuery('#'+selectorID).html(newHTML);
}
</script>